Vulnerability CVE-2010-0316


Published: 2010-01-15   Modified: 2012-02-13

Description:
Integer overflow in Google SketchUp before 7.1 M2 allows remote attackers to cause a denial of service (heap memory corruption) or possibly execute arbitrary code via a crafted SKP file.

Type:

CWE-189

(Numeric Errors)

CVSS2 => (AV:N/AC:M/Au:N/C:C/I:C/A:C)

CVSS Base Score
Impact Subscore
Exploitability Subscore
9.3/10
10/10
8.6/10
Exploit range
Attack complexity
Authentication
Remote
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
Complete
Complete
Complete
Affected software
Google -> Google sketchup 

 References:
http://www.vupen.com/english/advisories/2010/0133
http://sketchup.google.com/support/bin/answer.py?hl=en&answer=141303
http://secunia.com/advisories/38187

Copyright 2021, cxsecurity.com

 

Back to Top